Package org.codehaus.groovy.runtime.metaclass

# Class ConcurrentReaderHashMap.ValueIterator

java.lang.Object
org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator
org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.ValueIterator

All Implemented Interfaces:
  `Enumeration`, `Iterator`

Enclosing class:
  ConcurrentReaderHashMap

protected class ConcurrentReaderHashMap.ValueIterator extends ConcurrentReaderHashMap.HashIterator
Iterator over the values of the map.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

  `currentKey, currentValue, entry, index, lastReturned, tab`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValueIterator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `returnValueOfNext()`
  Returns the value of the next element.

  ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

  `hasMoreElements, hasNext, next, nextElement, remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### ValueIterator

    protected ValueIterator()

- ## Method Details

  - ### returnValueOfNext

    protected Object returnValueOfNext()
    Description copied from class: `ConcurrentReaderHashMap.HashIterator`
    Returns the value of the next element. This method can be overridden by subclasses to return different values (e.g., just the key or just the value instead of the whole entry).
    Overrides:
      `returnValueOfNext` in class `ConcurrentReaderHashMap.HashIterator`
    Returns:
      the value to return for the next element